Subject: bug#74287: [PATCH] Rework history Isearch for Eshell

From: Juri Linkov <[email-masked]>
Date: Tue, 10 Dec 2024 19:41:32 +0200

>> I agree this would be the right thing, because even in Isearch we have
>> variables that duplicate the user options such as e.g. the option
>> 'search-invisible' and the internal variable 'isearch-invisible'.
>
> Thanks!

Please also see the commit 98f8c5fb07dcb4e20b8ba6648bdabf5c0d3b5145
that fixed this in dired by using a buffer-local variable.
Do you agree it's a good fix?  Otherwise using a separate variable
is also fine.